# Face-Recognition-AI

[![GitHub stars](https://img.shields.io/github/stars/muntakim1/face-recognition-ai)](https://github.com/muntakim1/face-recognition-ai/stargazers)
[![GitHub issues](https://img.shields.io/github/issues/muntakim1/face-recognition-ai)](https://github.com/muntakim1/face-recognition-ai/issues)
[![GitHub forks](https://img.shields.io/github/forks/muntakim1/face-recognition-ai)](https://github.com/muntakim1/face-recognition-ai/network)
[![GitHub forks](https://img.shields.io/github/forks/muntakim1/face-recognition-ai)](https://github.com/muntakim1/face-recognition-ai/network)
[![Python 3.10](https://img.shields.io/badge/python-3.10-brightgreen)](https://python.org)

Welcome to Face-Recognition-AI, an advanced face recognition system built with cutting-edge technologies, including FaceNet and YOLO5Face. This project draws inspiration from the popular face-recognition module, aiming to provide users with a professional and efficient solution for face recognition.

# 🚀 Getting Started

To get started with Face-Recognition-AI, follow these simple steps:

`pip install face-recognition-ai`

Run python usage.py

```
from PIL import Image

from face_recognition_ai import match_faces, show_detections

unknown_with_multiple_faces = Image.open("images/multi.jpeg")

known = Image.open("images/sakib.jpg")
known_person_name = "sakib"

print(True if True in match_faces(unknown_with_multiple_faces, known) else False)
img = show_detections(unknown_with_multiple_faces, known, known_person_name)
img.show()



```

# 💡 Features

- FaceNet Integration: Leveraging the power of FaceNet, our system directly learns a mapping from face images to a compact Euclidean space, enabling accurate and efficient face recognition [5].

- YOLO5Face Detection: The YOLO5Face model enhances face detection capabilities, ensuring robust identification of faces in various scenarios.

- Inspired by Face-Recognition Module: We take inspiration from the widely-used face-recognition module, incorporating best practices and user-friendly design.

# 🤝 Contribution Guidelines

We welcome contributions to make Face-Recognition-AI even more professional. If you'd like to contribute, please follow these guidelines:

- Fork the repository.
- Create a new branch: `git checkout -b feature/your-feature`.

- Make your changes and commit them: `git commit -m 'Add your feature'`.

- Push to the branch: `git push origin feature/your-feature`.

- Submit a pull request.

# 📄 License

This project is licensed under the MIT License - see the LICENSE file for details.

# 🌐 Sources

GitHub - Awesome Face Detection and Recognition
GitHub - Face Recognition OpenCV Facenet
Medium - Face Recognition in Python| FaceNet, MTCNN and SVM
Towards Data Science - Using FaceNet For On-Device Face Recognition With Android
ArXiv - A Unified Embedding for Face Recognition and Clustering
Viso AI - DeepFace - Most Popular Deep Face Recognition in 2024
